﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GroundSpawner : MonoBehaviour {

	private List<GroundTile> listTiles = new List<GroundTile> (); // lista de tiles spawnados

	public GroundTile groundTile; // o prefab do tile

	public float delay = 0.05f; // delay dos tiles

	// Use this for initialization
	void Start () {
		for (int i = 0; i < 134; i++) {
			GroundTile aux = (GroundTile)Instantiate (groundTile, transform.position + new Vector3(0.3f * i, 0, 0), Quaternion.identity, this.transform); // spawna na posicao
			aux.time = delay;
			listTiles.Add (aux); // add na lista
			if (i > 0) {
				aux.leftTile = listTiles [i - 1]; // faz o link dos tiles
				listTiles [i - 1].rightTile = aux;
			}
		}
	}
}
