﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AnimController : MonoBehaviour {

	[SerializeField] private Animator playerAnim;

	public void JumpAnim(bool _jump){
		
		playerAnim.SetBool ("Jump", _jump);
	}

	public void StompAnim(bool _stomp){

		playerAnim.SetBool ("Stomp", _stomp);
	}
		

	public void SetVerticalSpeed(float _verticalSpeed){
		playerAnim.SetFloat ("VerticalSpeed", _verticalSpeed);
	}
}
